//---------------------------------------------------------------------------
#ifndef BPonto2DH
#define BPonto2DH
//---------------------------------------------------------------------------
class BPonto2D
{
private:
    double x;
    double y;

public:
    BPonto2D(void);
    BPonto2D(double xx, double yy);
    BPonto2D(const BPonto2D& p);
    virtual ~BPonto2D(void);
    //Operadores
    BPonto2D& operator = (const BPonto2D& p);
    bool operator == (const BPonto2D &p) const;
    bool operator != (const BPonto2D &p) const;
    //Definicoes
    void DefCoordenadas(double xx, double yy);
    inline double& X(void);
    inline const double& X(void) const;
    inline double& Y(void);
    inline const double& Y(void) const;
};
//---------------------------------------------------------------------------
double& BPonto2D::X(void)
{
    return x;
}
//---------------------------------------------------------------------------
const double& BPonto2D::X(void) const
{
    return x;
}
//---------------------------------------------------------------------------
double& BPonto2D::Y(void)
{
    return y;
}
//---------------------------------------------------------------------------
const double& BPonto2D::Y(void) const
{
    return y;
}
//---------------------------------------------------------------------------
#endif
